com.trendmicro.ds.platform.rest.object.cloud

## Class GetAwsAccountResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.cloud.GetAwsAccountResponse

-     public class GetAwsAccountResponse
      extends java.lang.Object

  Response object for the AWS Account API

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAwsAccountResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccessKey()` Gets the AWS Access Key ID.
    `java.lang.String` | `getAccountAlias()` Gets the AWS account alias.
    `java.lang.String` | `getAccountID()` Gets the AWS account Id.
    `java.lang.String` | `getCrossAccountRoleArn()` Gets the Cross Account Role (ARN, External ID) used to add the AWS account.
    `java.lang.Integer` | `getInternalId()` Gets the Deep Security internal Id of the AWS cloud account.
    `java.util.Date` | `getLastSyncTime()` Gets the last time this AWS account was synchronized.
    `java.lang.String` | `getSeedRegion()` Gets the region to initialize the EC2 client in.
    `java.util.List<AwsRegion>` | `getSyncedRegions()` Gets the list of AWS regions that have been synced for this account.
    `boolean` | `isUseInstanceRole()` Gets whether or not to use the instance role for permissions to add the AWS account.
    `void` | `setAccessKey(java.lang.String accessKey)` Sets the AWS Access Key ID.
    `void` | `setAccountAlias(java.lang.String accountAlias)` Sets the AWS account alias.
    `void` | `setAccountId(java.lang.String accountId)` Sets the AWS account Id.
    `void` | `setCrossAccountRoleArn(java.lang.String crossAccountRoleArn)` Sets the Cross Account Role (ARN, External ID) used to add the AWS account.
    `void` | `setInternalId(java.lang.Integer internalId)` Sets the Deep Security internal Id of the AWS cloud account.
    `void` | `setLastSyncTime(java.util.Date lastSyncTime)` Sets the last time this AWS account was synchronized.
    `void` | `setSeedRegion(java.lang.String seedRegion)` Sets the region to initialize the EC2 client in.
    `void` | `setSyncedRegions(java.util.List<AwsRegion> syncedRegions)` Sets the list of AWS regions that have been synced for this account.
    `void` | `setUseInstanceRole(boolean useInstanceRole)` Sets whether or not to use the instance role for permissions to add the AWS account.
    `GetAwsAccountResponse` | `withAccessKey(java.lang.String accessKey)`
    `GetAwsAccountResponse` | `withAccountAlias(java.lang.String accountAlias)`
    `GetAwsAccountResponse` | `withAccountId(java.lang.String accountId)`
    `GetAwsAccountResponse` | `withCrossAccountRoleArn(java.lang.String crossAccountRoleArn)`
    `GetAwsAccountResponse` | `withInternalId(java.lang.Integer internalId)`
    `GetAwsAccountResponse` | `withLastSyncTime(java.util.Date lastSyncTime)`
    `GetAwsAccountResponse` | `withSeedRegion(java.lang.String seedRegion)`
    `GetAwsAccountResponse` | `withSyncedRegions(java.util.List<AwsRegion> syncedRegions)`
    `GetAwsAccountResponse` | `withUseInstanceRole(boolean useInstanceRole)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAwsAccountResponse

          public GetAwsAccountResponse()

  - ### Method Detail

    - #### getInternalId

          public java.lang.Integer getInternalId()

      Gets the Deep Security internal Id of the AWS cloud account.
      Returns:
        The Deep Security internal Id of the AWS cloud account.

    - #### setInternalId

          public void setInternalId(java.lang.Integer internalId)

      Sets the Deep Security internal Id of the AWS cloud account.
      Parameters:
        `internalId` - the Deep Security internal Id of the AWS cloud account.

    - #### getAccountID

          public java.lang.String getAccountID()

      Gets the AWS account Id.
      Returns:
        The AWS account Id.

    - #### setAccountId

          public void setAccountId(java.lang.String accountId)

      Sets the AWS account Id.
      Parameters:
        `accountId` - The AWS account Id.

    - #### getAccountAlias

          public java.lang.String getAccountAlias()

      Gets the AWS account alias.
      Returns:
        The AWS account alias.

    - #### setAccountAlias

          public void setAccountAlias(java.lang.String accountAlias)

      Sets the AWS account alias.
      Parameters:
        `accountAlias` - The AWS account alias.

    - #### getAccessKey

          public java.lang.String getAccessKey()

      Gets the AWS Access Key ID.
      Returns:
        The AWS Access Key ID.

    - #### setAccessKey

          public void setAccessKey(java.lang.String accessKey)

      Sets the AWS Access Key ID.
      Parameters:
        `accessKey` - The AWS Access Key ID.

    - #### getSeedRegion

          public java.lang.String getSeedRegion()

      Gets the region to initialize the EC2 client in. This is an advanced option used if you want to access special region.
      Returns:
        The region to initialize the EC2 client in. This is an advanced option used if you want to access special region.

    - #### setSeedRegion

          public void setSeedRegion(java.lang.String seedRegion)

      Sets the region to initialize the EC2 client in. This is an advanced option used if you want to access special region.
      Parameters:
        `useInstanceRole` - The region to initialize the EC2 client in. This is an advanced option used if you want to access special region.

    - #### isUseInstanceRole

          public boolean isUseInstanceRole()

      Gets whether or not to use the instance role for permissions to add the AWS account.
      Returns:
        Whether or not to use the instance role for permissions to add the AWS account.

    - #### setUseInstanceRole

          public void setUseInstanceRole(boolean useInstanceRole)

      Sets whether or not to use the instance role for permissions to add the AWS account.
      Parameters:
        `crossAccountRoleArn` - Whether or not to use the instance role for permissions to add the AWS account.

    - #### getCrossAccountRoleArn

          public java.lang.String getCrossAccountRoleArn()

      Gets the Cross Account Role (ARN, External ID) used to add the AWS account.
      Returns:
        The Cross Account Role (ARN, External ID) used to add the AWS account.

    - #### setCrossAccountRoleArn

          public void setCrossAccountRoleArn(java.lang.String crossAccountRoleArn)

      Sets the Cross Account Role (ARN, External ID) used to add the AWS account.
      Parameters:
        `crossAccountRoleArn` - The Cross Account Role (ARN, External ID) used to add the AWS account.

    - #### getLastSyncTime

          public java.util.Date getLastSyncTime()

      Gets the last time this AWS account was synchronized.
      Returns:
        The last time this AWS account was synchronized.

    - #### setLastSyncTime

          public void setLastSyncTime(java.util.Date lastSyncTime)

      Sets the last time this AWS account was synchronized.
      Parameters:
        `lastSyncTime` - The last time this AWS account was synchronized.

    - #### getSyncedRegions

          public java.util.List<AwsRegion> getSyncedRegions()

      Gets the list of AWS regions that have been synced for this account.
      Returns:
        The list of AWS regions that have been synced for this account.

    - #### setSyncedRegions

          public void setSyncedRegions(java.util.List<AwsRegion> syncedRegions)

      Sets the list of AWS regions that have been synced for this account.
      Parameters:
        `syncedRegions` - The list of AWS regions that have been synced for this account.

    - #### withInternalId

          public GetAwsAccountResponse withInternalId(java.lang.Integer internalId)

      Parameters:
        `internalId` - The Deep Security internal Id of the AWS cloud account
      Returns:
        The updated GetAwsAccountResponse object

    - #### withAccountId

          public GetAwsAccountResponse withAccountId(java.lang.String accountId)

      Parameters:
        `accountId` - The AWS account Id.
      Returns:
        The updated GetAwsAccountResponse object.

    - #### withAccountAlias

          public GetAwsAccountResponse withAccountAlias(java.lang.String accountAlias)

      Parameters:
        `accountAlias` - The AWS account alias.
      Returns:
        The updated GetAwsAccountResponse object

    - #### withAccessKey

          public GetAwsAccountResponse withAccessKey(java.lang.String accessKey)

      Parameters:
        `accessKey` - The AWS Access Key ID.
      Returns:
        The updated GetAwsAccountResponse object.

    - #### withUseInstanceRole

          public GetAwsAccountResponse withUseInstanceRole(boolean useInstanceRole)

      Parameters:
        `useInstanceRole` - Whether or not to use the instance role for permissions to add the AWS account.
      Returns:
        The updated GetAwsAccountResponse object.

    - #### withCrossAccountRoleArn

          public GetAwsAccountResponse withCrossAccountRoleArn(java.lang.String crossAccountRoleArn)

      Parameters:
        `crossAccountRoleArn` - The Cross Account Role (ARN, External ID) used to add the AWS account.
      Returns:
        The updated GetAwsAccountResponse object.

    - #### withLastSyncTime

          public GetAwsAccountResponse withLastSyncTime(java.util.Date lastSyncTime)

      Parameters:
        `lastSyncTime` - The last time this AWS account was synchronized.
      Returns:
        The updated GetAwsAccountResponse object.

    - #### withSyncedRegions

          public GetAwsAccountResponse withSyncedRegions(java.util.List<AwsRegion> syncedRegions)

      Parameters:
        `syncedRegions` - The list of AWS regions that have been synced for this account.
      Returns:
        The updated GetAwsAccountResponse object.

    - #### withSeedRegion

          public GetAwsAccountResponse withSeedRegion(java.lang.String seedRegion)

      Parameters:
        `seedRegion` - The region to initialize the EC2 client in. This is an advanced option used if you want to access special region.
      Returns:
        The updated GetAwsAccountResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.